# Deleting a Subnet

#### Function

This API is used to delete a subnet.

#### URI

DELETE /v1/{project_id}/vpcs/{vpc_id}/subnets/{subnet_id}

Table 1 describes the parameters.

Table 1 Parameter description
Name | Mandatory | Description
--- | --- | ---
project_id | Yes | Specifies the project ID.
vpc_id | Yes | Specifies the ID of the subnet VPC.
subnet_id | Yes | Specifies the subnet ID, which uniquely identifies the subnet. If you use the management console, the value of this parameter is the Network ID value.

#### Request Message

- Request parameter

  None

- Example request

      DELETE https://{Endpoint}/v1/{project_id}/vpcs/{vpc_id}/subnets/4779ab1c-7c1a-44b1-a02e-93dfc361b32d

#### Response Message

- Response parameter

  None

- Example response

  None

#### Status Code

See Status Codes.

#### Error Code

See Error Codes.

Parent topic: Subnet